gi-pango-1.0.29: Pango bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | Safe-Inferred
Language | Haskell2010

GI.Pango.Structs.AttrFloat

Contents

- Exported types
- Methods
- Properties
  - attr
  - value

Description

The `PangoAttrFloat` structure is used to represent attributes with a float or double value.

Synopsis

- newtype AttrFloat = AttrFloat (ManagedPtr AttrFloat)
- newZeroAttrFloat :: MonadIO m => m AttrFloat
- getAttrFloatAttr :: MonadIO m => AttrFloat -> m Attribute
- getAttrFloatValue :: MonadIO m => AttrFloat -> m Double
- setAttrFloatValue :: MonadIO m => AttrFloat -> Double -> m ()

# Exported types

newtype AttrFloat Source #

Memory-managed wrapper type.

Constructors

AttrFloat (ManagedPtr AttrFloat) |

#### Instances

Instances details

Eq AttrFloat Source # |
Instance details Defined in GI.Pango.Structs.AttrFloat Methods (==) :: AttrFloat -> AttrFloat -> Bool Source # (/=) :: AttrFloat -> AttrFloat -> Bool Source #
BoxedPtr AttrFloat Source # |
Instance details Defined in GI.Pango.Structs.AttrFloat Methods boxedPtrCopy :: AttrFloat -> IO AttrFloat Source # boxedPtrFree :: AttrFloat -> IO () Source #
CallocPtr AttrFloat Source # |
Instance details Defined in GI.Pango.Structs.AttrFloat Methods boxedPtrCalloc :: IO (Ptr AttrFloat) Source #
ManagedPtrNewtype AttrFloat Source # |
Instance details Defined in GI.Pango.Structs.AttrFloat Methods toManagedPtr :: AttrFloat -> ManagedPtr AttrFloat Source #
tag ~ 'AttrSet => Constructible AttrFloat tag Source # |
Instance details Defined in GI.Pango.Structs.AttrFloat Methods new :: MonadIO m => (ManagedPtr AttrFloat -> AttrFloat) -> [AttrOp AttrFloat tag] -> m AttrFloat Source #

newZeroAttrFloat :: MonadIO m => m AttrFloat Source #

Construct a `AttrFloat` struct initialized to zero.

# Methods

# Properties

## attr

the common portion of the attribute

getAttrFloatAttr :: MonadIO m => AttrFloat -> m Attribute Source #

Get the value of the “`attr`” field. When overloading is enabled, this is equivalent to

    get attrFloat #attr

## value

the value of the attribute

getAttrFloatValue :: MonadIO m => AttrFloat -> m Double Source #

Get the value of the “`value`” field. When overloading is enabled, this is equivalent to

    get attrFloat #value

setAttrFloatValue :: MonadIO m => AttrFloat -> Double -> m () Source #

Set the value of the “`value`” field. When overloading is enabled, this is equivalent to

    set attrFloat [ #value := value ]